%global momorel 3
Summary: Fast Assembly Mpeg Encoding library
Name: libfame
Version: 0.9.1
Release: %{momorel}m
License: LGPL
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/fame/libfame-%{version}.tar.gz
NoSource: 0
Patch0: libfame-0.9.0-gcc34.patch
Patch10: libfame-0.9.0-lib64.patch
URL: http://fame.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
FAME is a library for fast MPEG encoding.

%package devel
Summary: Libraries and include to develop using FAME
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
FAME is a library for fast MPEG encoding.

This is the libraries, include files and other resources you can use
to develop FAME applications.

%prep

%setup -q
%patch0 -p1 -b .gcc34~
%if %{_lib} == "lib64"
%patch10 -p1 -b .lib64~
%endif

%build
%configure --enable-sse
export SED="%__sed" EGREP="%__grep -E" LTCC='gcc' max_cmd_len=32768
%make

%install
rm -rf %{buildroot}
export SED="%__sed" EGREP="%__grep -E" LTCC='gcc' max_cmd_len=32768
%makeinstall transform='s,x,x,'

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*
%{_datadir}/aclocal/*
%{_mandir}/man3/*

%changelog
* Tue Feb  1 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.9.1-3m)
- enable x86_64.

* Thu Jan 20 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.1-2m)
- add transform='s,x,x,' to %%makeinstall

* Thu Jan 20 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.1-1m)
- revise Source URI

* Fri Oct 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.9.0-3m)
- add gcc34 patch

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (0.9.0-2m)
- revised spec for enabling rpm 4.2.

* Thu Sep  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-1m)
- initial import to momonga
